### Class

# Clapper Discoverer

#### Description [src]

    final class Clapper.Discoverer : Clapper.Feature
    {
      /* No available fields */
    }

An optional Discoverer feature to be added to the player.

`ClapperDiscoverer` is a feature that wraps around `GstDiscoverer` API to automatically discover items within `ClapperQueue`. Once media is scanned, all extra information of it will be filled within media item, this includes title, duration, chapters, etc.

Please note that media items are also discovered during their playback by the player itself. `ClapperDiscoverer` is useful in situations where one wants to present to the user an updated media item before its playback, such as an UI that displays playback queue.

Depending on your application, you can select an optimal `ClapperDiscovererDiscoveryMode` that best suits your needs.

Use `CLAPPER_HAVE_DISCOVERER` macro to check if Clapper API was compiled with this feature.

#### Hierarchy

#### Ancestors

- ClapperFeature
- GstObject
- GInitiallyUnowned
- GObject

#### Constructors

###### clapper_discoverer_new

Creates a new `ClapperDiscoverer` instance.

#### Instance methods

###### clapper_discoverer_get_discovery_mode

Get the `ClapperDiscovererDiscoveryMode` of `discoverer`.

###### clapper_discoverer_set_discovery_mode

Set the `ClapperDiscovererDiscoveryMode` of `discoverer`.

##### Methods inherited from GstObject (25)

Please see GstObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clapper.Discoverer:discovery-mode

Discoverer discovery mode.

##### Properties inherited from GstObject (2)

###### Gst.Object:name

No description available.

###### Gst.Object:parent

The parent of the object. Please note, that when changing the ‘parent’ property, we don’t emit `GObject::notify` and `GstObject::deep-notify` signals due to locking issues. In some cases one can use `GstBin::element-added` or `GstBin::element-removed` signals on the parent to achieve a similar effect.

#### Signals

##### Signals inherited from GstObject (1)

###### GstObject::deep-notify

The deep notify signal is used to be notified of property changes. It is typically attached to the toplevel bin to receive notifications from all the elements contained in that bin.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClapperDiscovererClass {
      ClapperFeatureClass parent_class;

    }

No description available.

###### Class members

`parent_class: ClapperFeatureClass`

  No description available.